## lrzsz 0.12.21

=== debian/changelog ===
lrzsz (0.12.21-8build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:33:17 +0000

lrzsz (0.12.21-8) unstable; urgency=low

  * Fixed reproducible builds, closes: #787995, thanks to Dhole.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jun 2015 18:43:33 +0200

lrzsz (0.12.21-7) unstable; urgency=low

  * Fixed file permissions.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 30 Dec 2013 16:50:38 +0100

lrzsz (0.12.21-6) unstable; urgency=low

  * Changed source format to v3.0 (quilt).
  * Updated build script.
  * Fixed copyright file.
  * Added watch file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Dec 2013 17:32:43 +0100

lrzsz (0.12.21-5) unstable; urgency=low

  * New maintainer upload, closes: #556238.
    Thanks to Josip Rodin for his work.
  * Removed build-dependency on debhelper.
  * Added build-dependency on autotools-dev.
  * Cut Debian diff.gz into pieces.
  * Updated FSF address in copyright file.
  * Updated German po file, added build-dependency on gettext.
    Closes: #313992, thanks to Jens Seidel and Tobias Toedter.
  * Fixed missing includes (compiler warnings).
  * Fixed typo in sz manpage.
  * Fixed linking to libnsl.
  * Removed changelog emacs settings.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 22 Nov 2009 09:35:13 +0100

lrzsz (0.12.21-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilt with current debhelper, finishing the /usr/doc transition.
    Closes: #322762
  * Rebuilt with a current toolchain, now it's prelinkable.
    Closes: #288084
  * Appled man page typo fix patch from A Costa. Closes: #311459

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 01:35:00 -0500

lrzsz (0.12.21-4) unstable; urgency=low

  * Updated for Standards-Version: 3.5.2.
  * Added touch stamp-h.in before make invocation in order to stop
    autoheader from running.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 25 Mar 2001 19:48:18 +0200

lrzsz (0.12.21-3) unstable; urgency=low

  * Newish upstream version, (990823 in CVS).
  * Updated for Policy 3.x.
  * Misc. fixes for debian/*.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 19 Sep 1999 17:55:38 +0200

lrzsz (0.12.21-2) unstable; urgency=low

  * Removed definition of strstr, advised by upstream maintainer, to
    get it to compile on glibc2.1, as John Goerzen and Bart Warmerdam
    noticed (fixes: #39429 #39812).

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 20 Jun 1999 21:38:07 +0200

lrzsz (0.12.21-1) unstable; urgency=low

  * New upstream version (990604 in CVS).
  * Cleaned up the diff by removing unneeded .deps/ files and not changing
    aclocal et al.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun,  6 Jun 1999 21:01:50 +0200

lrzsz (0.12.20-2) unstable; urgency=low

  * Don't install ansi2knr.1 manpage, closing bug #33121

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun,  7 Feb 1999 01:32:31 +0100

lrzsz (0.12.20-1) unstable; urgency=low

  * New maintainer.
  * Althought version number doesn't indicate that, this version is
    today's CVS snapshot from ftp://tirka.ohse.de/uwe/cvs-trees
  * This release fixes following bugs: #8373 #11208 #16170 #16744 #17210.
  * Package is lintian clean.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun,  7 Feb 1999 01:32:31 +0100

lrzsz (0.12.17) unstable; urgency=low

  * sorry, see ../ChangeLog. automagically generated debian/changelog

 -- Uwe Ohse <uwe@ohse.de>  Mon, 02 Jun 1997 10:06:05 +0200

lrzsz (0.12.16) unstable; urgency=low

  * sorry, see ../ChangeLog. changelog is here just to make
    dpkg happy.
  * initial release

 -- Uwe Ohse <uwe@ohse.de>  Sun, 2 Jun 1997 21:00:00 +0200

lrzsz (0.12b-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Sat, 18 Oct 1997 01:58:54 +1000

lrzsz (0.12b-1) unstable; urgency=low

  * Converted to new source packaging format.
  * New upstream version.

 -- Michael Alan Dorman <mdorman@calder.med.miami.edu>  Tue, 17 Sep 1996 13:39:23 -0400
