## lrzsz 0.12.21rc

=== debian/changelog ===
lrzsz (0.12.21rc-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097316)

 -- Adrian Bunk <bunk@debian.org>  Fri, 17 Oct 2025 21:38:08 +0300

lrzsz (0.12.21rc-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089380)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 12:16:48 +0000

lrzsz (0.12.21rc-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, closes: #206639.
  * Build with dh_autoreconf, without native language support, closes: #1075238.

  [ Helmut Grohne ]
  * Make cross compilation work, closes: #873810.

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 08:57:20 +0200

lrzsz (0.12.21-11) unstable; urgency=low

  * Fixed FTBFS, closes: #1066514.
  * Fixed typo in manpage, closes: #1037046.
  * Added DOS-style DSZLOG support, closes: #206648. Thanks to Ryan Underwood.
  * Fixed some compiler warnings.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 17 Mar 2024 07:12:52 +0100

lrzsz (0.12.21-10) unstable; urgency=high

  * Fixed possible sz data leak, CVE-2018-10195, closes: #897010.
    Patch from the Fedora project,
    https://src.fedoraproject.org/cgit/rpms/lrzsz.git/tree/lrzsz-0.12.20.patch

 -- Martin A. Godisch <godisch@debian.org>  Tue, 01 May 2018 15:34:22 +0200

lrzsz (0.12.21-9) unstable; urgency=medium

  * Non-maintainer upload.

  [ Reiner Herrmann ]
  * Make the build reproducible (Closes: #828856)

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Apr 2018 11:24:40 +0200
