=== debian/watch ===
version=3
https://ohse.de/uwe/software/lrzsz.html .*/lrzsz-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
