## lrzsz 0.12.21-4.1

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: lrzsz
 Section: comm
 Priority: optional
-Maintainer: Martin A. Godisch <godisch@debian.org>
-Rules-Requires-Root: no
-Standards-Version: 3.9.5
-Build-Depends: debhelper-compat (= 12), gettext
-Homepage: https://ohse.de/uwe/software/lrzsz.html
+Maintainer: Josip Rodin <jrodin@jagor.srce.hr>
+Standards-Version: 3.5.2
+Build-Depends: debhelper
 
 Package: lrzsz
 Architecture: any
